Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.javascript
Class DnDScript

    java.lang.Object
      org.richfaces.javascript.DnDScript

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString, org.ajax4jsf.javascript.ScriptWithDependencies, org.richfaces.resource.ResourceLibrary

Direct Known Subclasses:
  DragScript, DropScript

    public abstract class DnDScript

extends Object
implements org.ajax4jsf.javascript.ScriptWithDependencies

Author:
  abelevich

Constructor Summary
`DnDScript(String name)`

Method Summary
`void` | `appendScript(Appendable target)`
`void` | `appendScriptToStringBuilder(StringBuilder stringBuilder)`
`boolean` | `equals(Object obj)`
`Set<org.richfaces.resource.ResourceKey>` | `getBaseResources()`
`int` | `hashCode()`
`String` | `toScript()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.resource.ResourceLibrary
`getResources`

Constructor Detail

### DnDScript

    public DnDScript(String name)

Method Detail

### getBaseResources

    public Set<org.richfaces.resource.ResourceKey> getBaseResources()

### appendScriptToStringBuilder

    public void appendScriptToStringBuilder(StringBuilder stringBuilder)

  Specified by:
    `appendScriptToStringBuilder` in interface `org.ajax4jsf.javascript.ScriptString`

### toScript

    public String toScript()

  Specified by:
    `toScript` in interface `org.ajax4jsf.javascript.ScriptString`

### appendScript

    public void appendScript(Appendable target)
                      throws IOException

  Specified by:
    `appendScript` in interface `org.ajax4jsf.javascript.ScriptString`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.